## com.google.appengine.api.channel
Class ChannelFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.channel.ChannelFailureException

All Implemented Interfaces:
  java.io.Serializable

    public final class ChannelFailureException

extends java.lang.RuntimeException

`ChannelFailureException` is an unchecked exception that is thrown for any unexpected error that occurs while communicating with the channel service.

See Also:
  Serialized Form

Constructor Summary
`ChannelFailureException(java.lang.String message)`
`ChannelFailureException(java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChannelFailureException

    public ChannelFailureException(java.lang.String message)

### ChannelFailureException

    public ChannelFailureException(java.lang.String message,
                                   java.lang.Throwable cause)